Suspend a customer
curl --request POST \
--url https://api.kemycard.com/v1/customers/{code}/suspend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/customers/{code}/suspend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/customers/{code}/suspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/customers/{code}/suspend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/customers/{code}/suspend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kemycard.com/v1/customers/{code}/suspend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/customers/{code}/suspend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"code": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"external_reference": "user-123",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_country_code": "+33",
"phone": "612345678",
"date_of_birth": "1990-05-15",
"address": "123 Main Street",
"city": "Paris",
"state": "IDF",
"postal_code": "75001",
"country": "FRA",
"verification_level": "basic",
"kyc_status": "not_started",
"poa_status": "not_started",
"verified_identity": {
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-05-15"
},
"identity_mismatch": false,
"status": "active",
"restriction_reason": null,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "ACCOUNT_SUSPENDED_NEGATIVE_BALANCE",
"message": "Your account is suspended because one of your ops balances is negative. Top up the negative balance to restore access. Read-only requests (GET) remain available.",
"details": {
"negative_balance_since": "2026-10-15T08:00:00+00:00"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields.",
"details": {}
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}Customers
Suspend a Customer
Suspends an active customer. Their cards, wallets, and other resources become unusable. Suspension is managed by you and can be reverted with the activate endpoint. Does not work on closed customers.
POST
/
customers
/
{code}
/
suspend
Suspend a customer
curl --request POST \
--url https://api.kemycard.com/v1/customers/{code}/suspend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/customers/{code}/suspend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/customers/{code}/suspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/customers/{code}/suspend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/customers/{code}/suspend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kemycard.com/v1/customers/{code}/suspend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/customers/{code}/suspend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"code": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"external_reference": "user-123",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_country_code": "+33",
"phone": "612345678",
"date_of_birth": "1990-05-15",
"address": "123 Main Street",
"city": "Paris",
"state": "IDF",
"postal_code": "75001",
"country": "FRA",
"verification_level": "basic",
"kyc_status": "not_started",
"poa_status": "not_started",
"verified_identity": {
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-05-15"
},
"identity_mismatch": false,
"status": "active",
"restriction_reason": null,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "ACCOUNT_SUSPENDED_NEGATIVE_BALANCE",
"message": "Your account is suspended because one of your ops balances is negative. Top up the negative balance to restore access. Read-only requests (GET) remain available.",
"details": {
"negative_balance_since": "2026-10-15T08:00:00+00:00"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields.",
"details": {}
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}